# MagicPlugin

Adds a configuration for staves to boost its speed of impact. Adds 4 new magic weapon that you can craft early game and uses stamina instead of eitr or vice versa and can also use to demolish trees/rocks/minerals.

## Installation (manual)

copy `plugins` folder to your `BepInEx` folder.

## Features

- Configurable velocity to improve the speed of impact.
- Configurable accuracy to add a little bit of gravity.
- Uses ServerSync to sync configs from server to clients.
- Configurable exp multipliers for elemental magic and blood magic.
- Uses built in config watcher.
- Adds 3 new early game Magic Weapon called Surtling Staff, Eikthyrs Staff and Neck Totem and 1 new mid game Magic Weapon called Wolf Totem.
- Configurable recipe, cooldown timer, chop/pickaxe damage, fire/lightning damage.
- Configurable magic source, you can use either Eitr or Stamina.
- Configurable through config file or [configuration manager]
(https://valheim.thunderstore.io/package/Azumatt/Official_BepInEx_ConfigurationManager/)

** Surtling Staff (Elemental Magic)(Fire)
- Can be used early game to kill and hunt monsters.
- Uses stamina instead of eitr.
- Can be used to demolish a whole forest.
- Tool tier is determined by its quality level.
- Level 1 for Beech Trees, Level 2 for Birch Trees and so on. 
- Configurable Base Tree Damage which is scaled by your woodcutting skill level for more damage to trees.
- AOE Range is scaled by your elemental magic skill level.
- The higher your elemental magic skill level the wider the AOE.
- You can get a small fraction of exp for woodcutting skill when hitting trees with the staff.
- And you can get elemental magic exp for killing monsters or wild animals.

** Eikthyrs Staff (Elemental Magic)(Lightning)
- Can be used early game after you've killed your first boss.
- Uses stamina instead of eitr.
- Can be used to demolish rocks and minerals.
- Tool tier is determined by its quality level.
- AOE Range is scaled by your elemental magic skill level.
- You can get a small fraction of exp for pickaxes skill when destroying rocks/minerals with the staff.
- You can get elemental magci exp for killing monsters or wild animals.

** Neck Totem (Blood Magic)
- Early game summoning magic weapon.  
- Used to summon Neckzilla to fight alongside you.
- Uses stamina insterd of eitr.
- Max summon and Max star of Neckzilla is determined by your Neck Totems quality level and your Blood Magic Skill Level.
- Upto 4 three Star Neckzilla can be summoned at Max quality level Neck Totem and level 100 blood magic skill.

** Wolf Totem (Blood Magic)
- Mid-game summoning magic weapon.
- Used to summon Occultist.
- Uses stamina instead of eitr.
- Can only use to summon at level 40 blood magic.
- Upto 2 three star Occultist can be summoned at max level bloodmagic skill.


## Changelog

<br/>
v1.0.8<br/>
- fixed AOE OnTriggerStay warning<br/>
<br/>
v1.0.7<br/>
- fixed summoned creatures, summoned creatures no longer despawn when you logout.<br/>
- added possible fix for coop/multiplayer (not tested)<br/>
<br/>
v1.0.6<br/>
- fixed eitr/stamina switching should properly work now. need to logout to properly take effect<br/>
<br/>
v1.0.5<br/>
- fixed compatibility issue with potionplus<br/>
<br/>
v1.0.4<br/>
- fixed NREs when using bow/crossbow<br/>
- fixed NREs when using firestaff and icestaff<br/>
- added translations. you can now add your own translations<br/>
- added option toggle to use either stamina or eitr (takes 1-2 attacks for the change to take effect)<br/>
<br/>
v1.0.3<br/>
- fixed aoe ranged scaling. it is now properly scaled according to your elemental magic skill level.<br/>
- fixed max crafting station level needed for the upgrades<br/>
- added full recipe configuration<br/>
- added fire/lightning damage configuration<br/>
- added chop/pickaxe damage configuration<br/>
- added base aoe range configuration<br/>
- added stamina consumption configuration<br/>
- added cooldown timer configuration for necktotem and wolftotem<br/>
- added lightning staff called Eikthyrs Staff, can be used to destroy rocks/minerals<br/>
<br/>
v1.0.2<br/>
- fixed surtling staff aoe hopefully.<br/>
- nerf neckzilla's hp a little bit.<br/>
- added cooldown timers for neck totem and wolf totem so it wont be used to spam summons.<br/>
- added wolf totem a mid game summoning magic weapon.<br/>
- added accuracy config.<br/>
- balance the levelup chance of neckzilla<br/>
<br/>
v1.0.1<br/>
- fixed birch and oak trees tree stump being too hard. surtling staffs quality level is now properly functioning.<br/>
- fixed elemental magic and blood magic exp multipliers. they are separate now.<br/>
- added a new magic weapon called Neck Totem that can summon a monster to fight alongside you.<br/>
<br/>
v1.0.0<br/> 
- first release<br/>

